<!--
// Javascript code for moving Divs
// -------------------------------
var dragy,dragx=false;
var display_mode = 0, last_mode = 0;
var screenx, screeny;

var page_hide = false;
//var x = 170;
var x = 150;
var y = 250;

var minx = 120, maxx = 200;
var miny = 130, maxy = 250;

function get_object_doc(d, name)
{
	if (d.getElementById) {
		return d.getElementById(name);
	}

	if (d.all) {
		return d.all.name;
	}
	return null;
}

function get_object(name)
{
	d = document;

	if (d.getElementById) {
		return d.getElementById(name);
	}

	if (d.all) {
		return d.all.name;
	}
	return null;
}

function resize_screen()
{
	document.body.style.overflow='hidden';

	screenx = document.body.clientWidth-2;
	screeny = document.body.clientHeight-4;

	maxy = screeny-100;
	maxx = screenx-200;

        set_x_bar();
	set_y_bar();
}

function mouse_down(mx)
{
	last_mode = display_mode;

	document.getElementById("hiddendiv").style.display="";
	if (mx=="x") {
		set_display_mode(100);
		dragx=true;
		document.getElementById("hiddendiv").style.cursor="w-resize";
	}
	else	{
		set_display_mode(101);
		dragy=true;
		document.getElementById("hiddendiv").style.cursor="s-resize";
	}
}

function mouse_up()
{
	if (dragx || dragy) {
		if (dragy && scroll_mode == 2) {
			scroll_mode = 1;

			if (last_mode == 2)
				last_mode = scroll_mode;
			else if (last_mode == 4)
				last_mode = scroll_mode+2;
		}

		set_display_mode(102);
		set_display_mode(last_mode);
	}
	dragx=dragy=false;
	document.getElementById("hiddendiv").style.display="none";
}

function mouse_move(e)
{
	if (dragx) {
		if (!e) Pos = window.event.clientX;
		else 	Pos = e.pageX;

		if (Pos < minx)	Pos = minx;
		if (Pos > maxx) Pos = maxx;

		x= Pos-2;
		set_x_bar();
		set_y_bar();
	}
	else if (dragy) {
		if (!e) Pos = window.event.clientY;
		else 	Pos = e.pageY;

		if (Pos < miny) Pos = miny;
	        if (Pos > maxy)	Pos = maxy;

		y = Pos-2;
		set_y_bar();
	}
}

function set_x_bar()
{
	document.getElementById("hiddendiv").style.width = (screenx-offset) +"px";
	document.getElementById("mainmenu").style.width = (screenx-6) +"px";

	document.getElementById("vscroll").style.left = (x+1) +"px";

	document.getElementById("fldbar").style.width = (x-3) +"px";
	document.getElementById("fldmenu").style.width = (x-3) +"px";
	document.getElementById("flist").style.width = (x-3) +"px";
	document.getElementById("xfld").style.width = (x-3) +"px";
	document.getElementById("fs_menu").style.width = (x-3) +"px";


	dx = (x+5) +"px";
	document.getElementById("titlebar").style.left = dx;

	document.getElementById("listmenu").style.left = dx;
	document.getElementById("list").style.left = dx;
	document.getElementById("listselect").style.left = dx;

	document.getElementById("addrmenu").style.left = dx;
	document.getElementById("addrselect").style.left = dx;
	document.getElementById("addrmain").style.left = dx;

	document.getElementById("searchmenu").style.left = dx;
	document.getElementById("searchselect").style.left = dx;
	document.getElementById("searchmain").style.left = dx;

	document.getElementById("todomenu").style.left = dx;
	document.getElementById("todoselect").style.left = dx;

	document.getElementById("msgmenu").style.left = dx;
	document.getElementById("msgmain").style.left = dx;

	document.getElementById("bulletselect").style.left = dx;
	document.getElementById("bulletmenu").style.left = dx;

	document.getElementById("mfldmenu").style.left = dx;
	document.getElementById("mfldselect").style.left = dx;

	document.getElementById("hscroll").style.left = dx;


	dx = (screenx-x-5-3) + "px";
	document.getElementById("titlebar").style.width = dx;

	document.getElementById("listmenu").style.width = dx;
	document.getElementById("list").style.width = dx;
	document.getElementById("listselect").style.width = dx;

	document.getElementById("addrmenu").style.width = dx;
	document.getElementById("addrselect").style.width = dx;
	document.getElementById("addrmain").style.width = (screenx-x-230-5-3) + "px";
	document.getElementById("addroption").style.left = (screenx-225-3) + "px";;
	document.getElementById("addroption").style.width = (220) + "px";

	document.getElementById("searchmenu").style.width = dx;
	document.getElementById("searchselect").style.width = dx;
	document.getElementById("searchmain").style.width = (screenx-x-160-5-3) + "px";
	document.getElementById("searchoption").style.left = (screenx-155-3) + "px";;
	document.getElementById("searchoption").style.width = (150) + "px";


	document.getElementById("todomenu").style.width = dx;
	document.getElementById("todoselect").style.width = dx;

	document.getElementById("msgmenu").style.width = dx;
	document.getElementById("msgmain").style.width = dx;

	document.getElementById("bulletselect").style.width = dx;
	document.getElementById("bulletmenu").style.width = dx;

	document.getElementById("mfldmenu").style.width = dx;
	document.getElementById("mfldselect").style.width = dx;

	document.getElementById("hscroll").style.width = dx;

	if (top_banner_size > 0) {
		document.getElementById("mainbanner").style.left = "0px";
		document.getElementById("mainbanner").style.width = screenx + "px";
	}
}

function set_y_bar()
{
	document.getElementById("hiddendiv").style.height = (screeny-offset) +"px";
	if (filestore){
		document.getElementById("xfld").style.height = (screeny-50-50-top_banner_size-27) +"px";
		document.getElementById("flist").style.height = (screeny-50-50-top_banner_size-27) +"px";
	}else{
		document.getElementById("xfld").style.height = (screeny-50-50-top_banner_size) +"px";
		document.getElementById("flist").style.height = (screeny-50-50-top_banner_size) +"px";
	}
	document.getElementById("fs_menu").style.height = "27px";
	document.getElementById("vscroll").style.height = (screeny-28-offset-top_banner_size) +"px";
	if (offset) {
		document.getElementById("fldmenu").style.height = (49+offset) +"px";
		document.getElementById("listmenu").style.height = (21+offset) +"px";
		document.getElementById("listselect").style.height = (21+offset) +"px";

		document.getElementById("addrselect").style.height = (21+offset) +"px";
		document.getElementById("searchselect").style.height = (21+offset) +"px";
		document.getElementById("todoselect").style.height = (21+offset) +"px";

		document.getElementById("todomenu").style.height = (21+offset) +"px";
		document.getElementById("addrmenu").style.height = (21+offset) +"px";
		document.getElementById("searchmenu").style.height = (21+offset) +"px";

		document.getElementById("msgmenu").style.height = (25+offset) +"px";

		document.getElementById("bulletselect").style.height = (21+offset) +"px";
		document.getElementById("bulletmenu").style.height = (25+offset) +"px";

		document.getElementById("mfldmenu").style.height = (21+offset) +"px";
	}

	document.getElementById("mainmenu").style.top = (0+top_banner_size) +"px";
	document.getElementById("vscroll").style.top = (30+top_banner_size) +"px";
	document.getElementById("titlebar").style.top = (30+top_banner_size) +"px";
	document.getElementById("fldbar").style.top = (30+top_banner_size) +"px";

	document.getElementById("fldmenu").style.top = (50+top_banner_size) +"px";

	if (filestore)
		document.getElementById("flist").style.top = (100+top_banner_size+27) +"px";
	else
		document.getElementById("flist").style.top = (100+top_banner_size) +"px";
	document.getElementById("fs_menu").style.top = (100+top_banner_size) +"px";

	document.getElementById("listmenu").style.top = (50+top_banner_size) +"px";
	document.getElementById("searchmenu").style.top = (50+top_banner_size) +"px";
	document.getElementById("todomenu").style.top = (50+top_banner_size) +"px";
	document.getElementById("addrmenu").style.top = (50+top_banner_size) +"px";

	document.getElementById("mfldmenu").style.top = (50+top_banner_size) +"px";
	document.getElementById("mfldselect").style.top = (screeny-21-10-2) +"px";

	if (display_mode == 2 || display_mode == 4)
		document.getElementById("hscroll").style.top = (screeny-10) +"px";
	else
		document.getElementById("hscroll").style.top = y +"px";

	if (display_mode == 0) {
		document.getElementById("list").style.top = (50 +top_banner_size) +"px";
		document.getElementById("list").style.height = (screeny-50-top_banner_size) +"px";
	}
	else if (display_mode == 2 || display_mode == 4 || display_mode == 20) {
		document.getElementById("list").style.top = (68 +top_banner_size)+"px";
		document.getElementById("list").style.height = (screeny-68-21-12+offset-2-top_banner_size) +"px";
	}
	else if (display_mode == 5 || display_mode == 6) {
		document.getElementById("list").style.top = (68 +top_banner_size)+"px";
		document.getElementById("list").style.height = (screeny-220-68-25+offset-top_banner_size) +"px";
	}
	else if (display_mode == 10 || display_mode == 11) {
		document.getElementById("list").style.top = (68+top_banner_size)+"px";
		document.getElementById("list").style.height = (screeny-68-21+offset-2-top_banner_size) +"px";
	}
	else {
		document.getElementById("list").style.top = (68+top_banner_size) +"px";
		document.getElementById("list").style.height = (y-50-21-21+offset-top_banner_size) +"px";
	}

	if (display_mode == 2)
		document.getElementById("listselect").style.top = (screeny-21-10-2) +"px";
	else
		document.getElementById("listselect").style.top = (y-21-2) +"px";

	if (display_mode == 4)
		document.getElementById("bulletselect").style.top = (screeny-21-10-2) +"px";
	else
		document.getElementById("bulletselect").style.top = (y-21-2) +"px";


	document.getElementById("addrselect").style.top = (screeny-220-21-2) +"px";
	document.getElementById("searchselect").style.top = (screeny-220-21-2) +"px";
	document.getElementById("todoselect").style.top = (screeny-23+1) +"px";

	document.getElementById("msgmenu").style.top = (y+12) +"px";

	document.getElementById("bulletmenu").style.top = (y+12) +"px";


	document.getElementById("addrmain").style.top = (screeny-220) +"px";
	document.getElementById("addrmain").style.height = 220 +"px";
	document.getElementById("addroption").style.top = (screeny-220) +"px";
	document.getElementById("addroption").style.height = 220 +"px";

	document.getElementById("searchmain").style.top = (screeny-220) +"px";
	document.getElementById("searchmain").style.height = 220 +"px";
	document.getElementById("searchoption").style.top = (screeny-220) +"px";
	document.getElementById("searchoption").style.height = 220 +"px";

	document.getElementById("msgmain").style.top = (y+30+14) +"px";
	document.getElementById("msgmain").style.height = (screeny-(y+30+14)) +"px";

	if (top_banner_size > 0) {
		document.getElementById("mainbanner").style.top = "0px";
		document.getElementById("mainbanner").style.height = top_banner_size + "px";
	}
}

// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------

// Change Screen to display in selected mode:
// 0 - Options Page.
// 1 - Display folder and message page
// 2 - Display folder
// 3 - Bulletin folder and Bullet Msg
// 4 - Bulletin folder
// 5 - Address Book Display - Address Book List and Options.
// 6 - Search Display
// 10 - ToDo Display - Todo list and Adding option.
// 20 - Manager Folders

// 100-102 - Bars only

function set_display_mode(mode)
{
	if (display_mode == mode)
		return ;

	if (top_banner_size > 0)
		document.getElementById("mainbanner").style.visibility = 'visible';
	else
		top_banner_size = 0;

	display_mode = mode;

	if (display_mode == 0) {
		document.getElementById("listmenu").style.visibility = 'hidden';
		document.getElementById("listselect").style.visibility = 'hidden';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'hidden';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'hidden';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'hidden';

		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
	}
	else if (display_mode == 1) {
		document.getElementById("listmenu").style.visibility = 'visible';
		document.getElementById("listselect").style.visibility = 'visible';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'visible';
		document.getElementById("msgmain").style.visibility = 'visible';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'hidden';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'visible';

		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
	}
	else if (display_mode == 2) {
		document.getElementById("listmenu").style.visibility = 'visible';
		document.getElementById("listselect").style.visibility = 'visible';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'hidden';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'hidden';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'visible';
		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
	}
	else if (display_mode == 3) {
		document.getElementById("listmenu").style.visibility = 'visible';
		document.getElementById("listselect").style.visibility = 'hidden';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'visible';

		document.getElementById("bulletmenu").style.visibility = 'visible';
		document.getElementById("bulletselect").style.visibility = 'visible';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'visible';
		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
	}
	else if (display_mode == 4) {
		document.getElementById("listmenu").style.visibility = 'visible';
		document.getElementById("listselect").style.visibility = 'hidden';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'hidden';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'visible';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'visible';
		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
	}

	else if (display_mode == 5) {
		document.getElementById("listmenu").style.visibility = 'hidden';
		document.getElementById("listselect").style.visibility = 'hidden';

		document.getElementById("addrmenu").style.visibility = 'visible';
		document.getElementById("addrselect").style.visibility = 'visible';
		document.getElementById("addrmain").style.visibility = 'visible';
		document.getElementById("addroption").style.visibility = 'visible';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'hidden';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'hidden';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'hidden';
		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
	}
	else if (display_mode == 6) {
		document.getElementById("listmenu").style.visibility = 'hidden';
		document.getElementById("listselect").style.visibility = 'hidden';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'visible';
		document.getElementById("searchselect").style.visibility = 'visible';
		document.getElementById("searchmain").style.visibility = 'visible';
		document.getElementById("searchoption").style.visibility = 'visible';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'hidden';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'hidden';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'hidden';
		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
	}

	else if (display_mode == 10) {
		document.getElementById("listmenu").style.visibility = 'hidden';
		document.getElementById("listselect").style.visibility = 'hidden';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'visible';
		document.getElementById("todoselect").style.visibility = 'visible';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'hidden';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'hidden';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'hidden';
		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
	}
	else if (display_mode == 20) {
		document.getElementById("listmenu").style.visibility = 'hidden';
		document.getElementById("listselect").style.visibility = 'hidden';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'hidden';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'hidden';

		document.getElementById("mfldmenu").style.visibility = 'visible';
		document.getElementById("mfldselect").style.visibility = 'visible';

		document.getElementById("hscroll").style.visibility = 'hidden';
		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
	}
	else if (display_mode == 100) {
		document.getElementById("fldbar").style.visibility = 'hidden';
		document.getElementById("titlebar").style.visibility = 'hidden';

		document.getElementById("fldmenu").style.visibility = 'hidden';
		document.getElementById("flist").style.visibility = 'hidden';
		document.getElementById("list").style.visibility = 'hidden';

		document.getElementById("listmenu").style.visibility = 'hidden';
		document.getElementById("listselect").style.visibility = 'hidden';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'hidden';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'hidden';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'visible';
		document.getElementById("fs_menu").style.visibility = 'hidden';

		if (document.list_fld_select.page_first.style.visibility == 'visible')
			page_hide = true;
		else
			page_hide= false;
		list_page_hide();
	}
	else if (display_mode == 101) {
		document.getElementById("titlebar").style.visibility = 'hidden';

		document.getElementById("list").style.visibility = 'hidden';

		document.getElementById("listmenu").style.visibility = 'hidden';
		document.getElementById("listselect").style.visibility = 'hidden';

		document.getElementById("addrmenu").style.visibility = 'hidden';
		document.getElementById("addrselect").style.visibility = 'hidden';
		document.getElementById("addrmain").style.visibility = 'hidden';
		document.getElementById("addroption").style.visibility = 'hidden';

		document.getElementById("searchmenu").style.visibility = 'hidden';
		document.getElementById("searchselect").style.visibility = 'hidden';
		document.getElementById("searchmain").style.visibility = 'hidden';
		document.getElementById("searchoption").style.visibility = 'hidden';

		document.getElementById("todomenu").style.visibility = 'hidden';
		document.getElementById("todoselect").style.visibility = 'hidden';

		document.getElementById("msgmenu").style.visibility = 'hidden';
		document.getElementById("msgmain").style.visibility = 'hidden';

		document.getElementById("bulletmenu").style.visibility = 'hidden';
		document.getElementById("bulletselect").style.visibility = 'hidden';

		document.getElementById("mfldmenu").style.visibility = 'hidden';
		document.getElementById("mfldselect").style.visibility = 'hidden';

		document.getElementById("hscroll").style.visibility = 'visible';
		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';
		if (document.list_fld_select.page_first.style.visibility == 'visible')
			page_hide = true;
		else
			page_hide= false;
		list_page_hide();
	}
	else if (display_mode == 102) {
		document.getElementById("fldbar").style.visibility = 'visible';
		document.getElementById("titlebar").style.visibility = 'visible';

		document.getElementById("fldmenu").style.visibility = 'visible';
		document.getElementById("flist").style.visibility = 'visible';
		document.getElementById("list").style.visibility = 'visible';

		if (filestore)
			document.getElementById("fs_menu").style.visibility = 'visible';
		else
			document.getElementById("fs_menu").style.visibility = 'hidden';

		if (page_hide)
			list_page_show();
	}
	set_x_bar();
	set_y_bar();
}

// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------
// -------------------------------------------------------------------------------------------

// -->

